package com.denachina.pickle;

import android.content.Context;
//import android.support.multidex.MultiDex;

import com.denachina.lcm.LCMApplication;

/**
 * Application class</br>
 * Notice:</br>
 * 1.LCMApplication must be extended by your Application class.</br>
 * And attachBaseContext(Context arg0) method must be overrided
 * like this class does if multi dex process is needed.</br>
 * 2.This sample is a simplest implementation of 'your own Application'
 * class, you can indirectly copy it if your game does not have a own
 * Application class.
 *
 * @author shijie.wei
 */
public class MyApplication extends LCMApplication {

    private static final String TAG = MyApplication.class.getSimpleName();

    @Override
    public void onCreate() {
        super.onCreate();
    }

    /*
     * If multi dex process is needed, please override attachBaseContext(Context arg0)
     * like this
     */
    @Override
    protected void attachBaseContext(Context arg0) {
        super.attachBaseContext(arg0);
//		MultiDex.install(this);
    }

}
