package com.denachina.pickle.ui;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.Display;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.ProgressBar;
import android.widget.TextView;

import com.denachina.pickle.util.ResourceManager;

/**
 * Created by wei.he on 16/5/24.
 */
public class ProgressBarDialog extends Dialog {

    private TextView title;
    private ProgressBar purchasePb;
    private boolean isShow;
    private Context mContext;
    private ResourceManager R;

    public ProgressBarDialog(Context context) {
        super(context);
        mContext = context;
        R = ResourceManager.getInstance(context);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        initView();
    }

    private void initView() {
        View rootView = getLayoutInflater().inflate(R.getLayoutForId("dialog_progressbar"), null);
//        ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.MATCH_PARENT);
//        View dialogView = LayoutInflater.from(mContext).inflate(R.layout.dialog_progressbar, null);

        setContentView(rootView);
//        title = (TextView) findViewById(R.id.title);
        purchasePb = (ProgressBar) findViewById(R.getId("purchase_progressbar"));
        purchasePb.setIndeterminate(true);
        setVisible(true);
    }

    public void setVisible(boolean isShow){
        this.isShow = isShow;
        purchasePb.setVisibility(View.VISIBLE);
    }

    public void setInVisible(boolean isShow){
        this.isShow = isShow;
        purchasePb.setVisibility(View.INVISIBLE);
    }

}
