package com.denachina.pickle.util;

import android.app.Activity;
import android.content.Context;
import android.view.WindowManager;
import android.widget.Toast;

import java.util.Random;

public class Utils {
	private static WindowManager wm;

	public static void showLongToast(Context context, String msg) {
		Toast.makeText(context, msg, Toast.LENGTH_LONG).show();
	}
	
	public static void showLongToastOnUiThread(final Activity activity, final String msg) {
		activity.runOnUiThread(new Runnable() {
			@Override
			public void run() {
				Toast.makeText(activity, msg, Toast.LENGTH_LONG).show();
			}
		});
	}
	public static int getDeviceWidth(Context context) {
		return getWindowManager(context).getDefaultDisplay().getWidth();
	}

	private static WindowManager getWindowManager(Context context) {
		if (wm == null) {
			wm = (WindowManager)context.getSystemService(Context.WINDOW_SERVICE);
		}
		return wm;
	}

	public static String random(int min, int max) {
		Random random = new Random();
		int randomNumber =  random.nextInt(max)%(max-min+1) + min;
		return String.valueOf(randomNumber);
    }
}
